<?php
if(isset($_POST['change_style']))
// On vérifie que le formulaire a été soumis
{
	if(file_exists("Styles/".$_POST['style']."/style.css"))
	{
	// On fait un cookie d'une année de durée pour garder en mémoire le style choisi et le récupérer à la prochaine visite
		setcookie('style', $_POST['style'], time()+(365*24*3600)) ;
	// Si le fichier *.css existe on définit une variable $css correspondant au style choisi
		$css = $_POST['style'] ;
	}
}
elseif(isset($_COOKIE['style']))
// Si le formulaire n'a pas été soumis, on vérifie si le cookie style existe et si tel est le cas on définit une variable $css correspondant à ce style
{
	$css = $_COOKIE['style'] ;
}	
else
// Si le cookie n'existe pas et que le formulaire n'a pas été soumis, on définit une variable $css correspondant au style par défaut, ici un_style.css par exemple
{
	$css = "Extensible" ;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Introduction &agrave; HTML</title>
<?php
echo  '<link rel="stylesheet" type="text/css" media="screen" href="Styles/',$css,'/style.css"/>' ;
?>

<link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />

<script type="text/javascript">
<!--
		window.onload=montre;
		function montre(id)
{
		var d = document.getElementById(id);
			for (var i = 1; i<=10; i++) {
				if (document.getElementById('smenu'+i)) {document.getElementById('smenu'+i).style.display='none';}
			}
		if (d) {d.style.display='block';}
}
//-->
</script>

<script type="text/javascript" src="js/date.js"></script>

</head>

<body onload="afficheDate()"><!-- Appel de notre fonction au d&eacute;marrage -->
<div id="cadre">
			<div id="banniere1"></div>
         	<div id="banniere2"></div>
			

		
		<div id="menuH">
			<ul>
				<li class="bg"><a href="index.php?page=accueil">Accueil</a></li>
				<li class="bg"><a href="index.php?page=som_cours">Cours</a></li>
				<li class="bg"><a href="index.php?page=som_tds">TD's</a></li>
				<li class="bd"><span id ="texteDate"></span></li>
				<li class="bd"><a href="index.php?page=design">Changer de Design</a></li>
			</ul>
		</div>

<div id="menu">
	<div class="cours"></div>
		<dl>
			<dt onclick="javascript:montre('smenu1');"><a href="#">HTML</a></dt>
			<dd id="smenu1">
				<div class="corpsmenu">
				<ul>
					<li><a href="index.php?cours=part_1">&#187; G&eacute;n&eacute;ralit&eacute;s</a></li>
					<li><a href="index.php?cours=part_2#titres">&#187; Les Titres</a></li>
					<li><a href="index.php?cours=part_2#paragraphes">&#187; Les Paragraphes</a></li>
					<li><a href="index.php?cours=part_2#styletexte">&#187; Style du texte</a></li>
					<li><a href="index.php?cours=part_2#positionnement">&#187; Positionnement</a></li>
					<li><a href="index.php?cours=part_3#liens">&#187; Les Liens</a></li>
					<li><a href="index.php?cours=part_3#images">&#187; Insertion d'images</a></li>
					<li><a href="index.php?cours=part_3#formulaires">&#187; Les Formulaires</a></li>
					<li><a href="index.php?cours=part_3#map">&#187; "Map"</a></li>
					<li><a href="index.php?cours=part_4">&#187; Annexes</a></li>
				</ul>
				</div>
			</dd>
		</dl>
<br />
	<div class="td"></div>
		<dl>
					<dt onclick="javascript:montre('smenu2');"><a href="#">TD's</a></dt>
			<dd id="smenu2">
				<div class="corpsmenu">
				<ul>
					<li><a href="index.php?td=td_1">&#187; TD 1</a></li>
					<li><a href="index.php?td=td_2">&#187; TD 2</a></li>
					<li><a href="index.php?td=td_3">&#187; TD 3</a></li>
					<li><a href="index.php?td=td_4">&#187; TD 4</a></li>
					<li><a href="index.php?td=td_5">&#187; TD 5</a></li>
				</ul>
				</div>
			</dd>
		</dl>
<br />	

<div class="bas_menu"></div>
</div>


	<div id="corps">
		<?PHP
			if ($_GET['page'] == "accueil") {
				include("accueil.html");}
			if ($_GET['cours'] == "generalites") {
				include("generalites.html");}
			if ($_GET['page'] == "som_cours") {
				include("Cours.html");}
			if ($_GET['page'] == "som_tds") {
				include("somTD.html");}
			if ($_GET['cours'] == "part_1") {
				include("partie_1.html");}
			if ($_GET['cours'] == "part_2") {
				include("partie_2.html");}
			if ($_GET['cours'] == "part_3") {
				include("partie_3.html");}
			if ($_GET['cours'] == "part_4") {
				include("partie_4.html");}
			if ($_GET['td'] == "td_1") {
				include("TD1.html");}
			if ($_GET['td'] == "td_2") {
				include("TD2.html");}
			if ($_GET['td'] == "td_3") {
				include("TD3.html");}
			if ($_GET['td'] == "td_4") {
				include("TD4.html");}
			if ($_GET['td'] == "td_5") {
				include("TD5.html");}
			if ($_GET['correction'] == "qcm_1") {
				include("CQuizz1.php");}
			if ($_GET['correction'] == "qcm_2") {
				include("CQuizz2.php");}
			if ($_GET['correction'] == "qcm_3") {
				include("CQuizz3.php");}				
			if ($_GET['page'] == "design"){
				include("design.php");}
			if ($_GET['page'] == "liens"){
				include("liens.html");}
		?>
			</div>



	<div id="footer">
		&copy;2006 Eric &amp; K&eacute;vin - Linhks Design
		<p><img src="Images/vxhtml.png" alt="valid xhtml" />&nbsp;&nbsp;<img src="Images/vcss.png" alt="valid css" /></p>
	</div>


</div>
</body>
</html>